Subject: Re: [GSoC PATCH v9 3/5] repo: add the field layout.bare

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Aug 2025 18:20:16 -0700

Eric Sunshine <[email-masked]> writes:

>> I also care about future-proofing, though.  When Git is built with
>> WITH_BREAKING_CHANGES=YesPlease, this test would break as the
>> default reference backend will be reftable in that alternate world,
>> wouldn't it?
>
> I think Lucas already future-proofed this (and my example copied his
> future-proofing) by using `--ref-format=files` with the git-init
> invocation.

Ah, OK, if we are forcing a specific format, then we are already
future-proofed, especially when the format is something that will be
with us forever, like the files backend.

Thanks.